#ifndef RAYTRACER_TOOLS_H
#define RAYTRACER_TOOLS_H

//== INCLUDES =================================================================
#include "Types.h"
#include <math.h>
//== FUNCTIONS ================================================================
namespace constants
{
	const double pi = 3.141592654;
}	

inline bool     isZero(double r) { return fabs(r) < 1.e-10; };
inline double rndNorm() { return rand() / (double)(RAND_MAX+1); };

void constructONB(const VectorType3& v, VectorType3& x, VectorType3& y, VectorType3& z ); 
void polar2Cartesian( double theta, double phi, double res[3] );
double deg2rad( double deg );
//=============================================================================
#endif // RAYTRACER_TYPES_H
//=============================================================================
